## myhdl 0.11

=== Makefile ===
install:
	python setup.py install

localinstall:
	python setup.py install --home=$(HOME)

docs:
	tox -e docs html

livedocs:
	tox -e docs livehtml

release:
	- rm MANIFEST 
	- rm CHANGELOG.txt
	hg glog > CHANGELOG.txt
	python setup.py sdist

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  livehtml  to make continuously updating standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

livehtml:
	mkdir -p build/html build/doctrees
	sphinx-autobuild -b html $(ALLSPHINXOPTS) build/html

web:
	mkdir -p build/web build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== scripts/benchmark/Makefile ===

clean:
	-rm *.o *.pyc *.vhd *.v *.out *~; ghdl --clean

=== myhdl/test/bugs/Makefile ===
all: ghdl iverilog 


vlog:
	py.test --sim vlog

vcom:
	py.test --sim vcom


ghdl:
	py.test --sim ghdl

iverilog:
	py.test --sim iverilog

cver:
	py.test --sim cver

clean:
	- rm *.o *.out *.v *.vhd *.pyc *~ *.vcd* *.log *_ghdl

gitclean:
	git clean -dfx

=== myhdl/test/conversion/Makefile ===
.PHONY: all general toVerilog2 toVHDL toVerilog

all: general toVerilog2 toVHDL toVerilog

general:
	cd general; py.test --sim ghdl; py.test --sim iverilog 

toVerilog2:
	cd toVerilog2; py.test --sim iverilog 

toVHDL:
	cd toVHDL; py.test --sim ghdl 

toVerilog: 
	cd toVerilog; py.test --sim iverilog 

gitclean:
	git clean -dfx

=== myhdl/test/core/Makefile ===
all:
	py.test

clean:
	- rm *.pyc *~

=== myhdl/test/conversion/general/Makefile ===
all:  vlog vcom 

ghdl:
	py.test --sim ghdl

vlog:
	py.test --sim vlog

vcom:
	py.test --sim vcom

iverilog:
	py.test --sim iverilog

cver:
	py.test --sim cver

clean:
	- rm *.o *.out *.v *.vhd *.pyc *~ *.vcd* *.log *_ghdl

gitclean:
	git clean -dfx

=== myhdl/test/conversion/toVHDL/Makefile ===
all: vcom 

vcom:
	py.test --sim vcom

ghdl:
	py.test --sim ghdl

clean:
	- rm *.o *.out *.v *.vhd *.pyc *~ *.vcd* *.log *_ghdl

gitclean:
	git clean -dfx

=== myhdl/test/conversion/toVerilog/Makefile ===
all:
	py.test

clean:
	- rm *.o *.out *.v *.pyc *~ *.vcd* \#*

=== myhdl/test/conversion/toVerilog2/Makefile ===
all: vlog  

vlog:
	py.test --sim vlog

iverilog:
	py.test --sim iverilog

cver:
	py.test --sim cver

clean:
	- rm *.o *.out *.v *.vhd *.pyc *~ *.vcd* *.log

## myhdl 0.10

=== debian/changelog ===
myhdl (0.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:14:11 +0800

myhdl (0.10-2) unstable; urgency=medium

  * debian/control:
    - Set to 'Multi-Arch: foreign'
  * debian/tests: Added autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 04 Dec 2018 08:24:43 +0100

myhdl (0.10-1) unstable; urgency=medium

  * Initial release (Closes: #843902)

  * Thanks to Ondřej Nový for keeping the package in shape on Salsa before the
    first upload

  [ Steffen Moeller ]
  * Initial packaging

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 20:48:54 +0200

=== debian/control ===
Source: myhdl
Section: electronics
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
Build-Depends-Indep: python-sphinx, python3-sphinx
Standards-Version: 4.2.1
Homepage: http://www.myhdl.org
Vcs-Git: https://salsa.debian.org/python-team/modules/myhdl.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/myhdl

Package: python-myhdl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: myhdl-cosimulation
Suggests: myhdl-doc
Section: python
Description: Hardware description language for Python (Python 2)
 MyHDL turns Python into a hardware description and verification language,
 providing hardware engineers with the power of the Python ecosystem.
 .
 Python can then be used as an event-driven simulator using Python decorators
 actively to specify what corresponds to 'processes' in Verilog / VHDL and
 thereby achieve concurrency.
 .
 This package installs the library for Python 2.

Package: python3-myhdl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: myhdl-cosimulation
Suggests: myhdl-doc
Section: python
Description: Hardware description language for Python (Python 3)
 MyHDL turns Python into a hardware description and verification language,
 providing hardware engineers with the power of the Python ecosystem.
 .
 Python can then be used as an event-driven simulator using Python decorators
 actively to specify what corresponds to 'processes' in Verilog / VHDL and
 thereby achieve concurrency.
 .
 This package installs the library for Python 3.

Package: myhdl-cosimulation
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: MyHDL cosimulation files
 MyHDL turns Python into a hardware description and verification language,
 providing hardware engineers with the power of the Python ecosystem.
 .
 Python can then be used as an event-driven simulator using Python decorators
 actively to specify what corresponds to 'processes' in Verilog / VHDL and
 thereby achieve concurrency.
 .
 This package provides the sources for executable extensions of the
 core modules.

Package: myhdl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Hardware description generating framework (common documentation)
 MyHDL turns Python into a hardware description and verification language,
 providing hardware engineers with the power of the Python ecosystem.
 .
 Python can then be used as an event-driven simulator using Python decorators
 actively to specify what corresponds to 'processes' in Verilog / VHDL and
 thereby achieve concurrency.
 .
 This is the common documentation package containing HTML pages and the man
 page.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=myhdl

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman  doc/source/ build/man # Manpage generator

override_dh_auto_install:
	dh_auto_install
	rm -r debian/python3-myhdl/usr/share/myhdl/cosimulation
	if [ -d debian/myhdl-cosimulation/usr/share/myhdl/cosimulation ]; then \
	  echo "I: Forgot to clean up prior to build? Otherwise investigate existence of debian/myhdl-cosimulation/usr/share/myhdl/cosimulation"; \
	  rm -r debian/myhdl-cosimulation/usr/share/myhdl/cosimulation; \
	fi
	mv debian/python-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
	# Remove empty dirs:
	rmdir --ignore-fail-on-non-empty debian/python-myhdl/usr/share/myhdl debian/python3-myhdl/usr/share/myhdl

override_dh_installdocs:
	dh_installdocs
	# fix duplicate file by creating symlink instead:
	$(RM) debian/myhdl-doc/usr/share/doc/myhdl-doc/html/_images/tbfsm1.png
	ln -sf tbfsm.png debian/myhdl-doc/usr/share/doc/myhdl-doc/html/_images/tbfsm1.png

## myhdl 0.11

=== debian/changelog ===
myhdl (0.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ruben Undheim ]
  * New upstream release
    - Drop some patches
  * debian/control:
    - New standards version 4.4.0 - no changes
    - Compat level 12
    - Remove python-myhdl (Closes: #937098)
    - Remove all Python2 dependencies
  * debian/rules:
    - Changes to only build for Python 3

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 20:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,12 @@
 Priority: optional
 Maintainer: Steffen Moeller <moeller@debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
-Build-Depends-Indep: python-sphinx, python3-sphinx
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
+Build-Depends-Indep: python3-sphinx
+Standards-Version: 4.4.0
 Homepage: http://www.myhdl.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/myhdl.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/myhdl
-
-Package: python-myhdl
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Recommends: myhdl-cosimulation
-Suggests: myhdl-doc
-Section: python
-Description: Hardware description language for Python (Python 2)
- MyHDL turns Python into a hardware description and verification language,
- providing hardware engineers with the power of the Python ecosystem.
- .
- Python can then be used as an event-driven simulator using Python decorators
- actively to specify what corresponds to 'processes' in Verilog / VHDL and
- thereby achieve concurrency.
- .
- This package installs the library for Python 2.
 
 Package: python3-myhdl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=myhdl
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -16,14 +16,13 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -r debian/python3-myhdl/usr/share/myhdl/cosimulation
 	if [ -d debian/myhdl-cosimulation/usr/share/myhdl/cosimulation ]; then \
 	  echo "I: Forgot to clean up prior to build? Otherwise investigate existence of debian/myhdl-cosimulation/usr/share/myhdl/cosimulation"; \
 	  rm -r debian/myhdl-cosimulation/usr/share/myhdl/cosimulation; \
 	fi
-	mv debian/python-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
+	mv debian/python3-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
 	# Remove empty dirs:
-	rmdir --ignore-fail-on-non-empty debian/python-myhdl/usr/share/myhdl debian/python3-myhdl/usr/share/myhdl
+	rmdir --ignore-fail-on-non-empty debian/python3-myhdl/usr/share/myhdl
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/tests/control ===
Tests: myhdl-load
Depends: python3-myhdl

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/myhdl/myhdl/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
# https://pypi.debian.net/myhdl/myhdl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git
# opts="mode=git" http://git.example.com/myhdl.git \
#   refs/tags/v([\d\.]+) debian uupdate
